SpecificationModel (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.spec
Class SpecificationModel

    java.lang.Object
      org.maltparser.core.feature.spec.SpecificationModel

All Implemented Interfaces:
  Iterable<SpecificationSubModel>

    public class SpecificationModel

extends Object
implements Iterable<SpecificationSubModel>

Author:
  Johan Hall

Constructor Summary
`SpecificationModel()`
`SpecificationModel(String specModelName)`

Method Summary
`void` | `add(String featureSpec)`
`void` | `add(String subModelName, String featureSpec)`
`String` | `getSpecModelName()`
`SpecificationSubModel` | `getSpecSubModel(String subModelName)`
`Iterator<SpecificationSubModel>` | `iterator()`
`void` | `setSpecModelName(String specModelName)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpecificationModel

    public SpecificationModel()
                       throws MaltChainedException

Throws:
  `MaltChainedException`

### SpecificationModel

    public SpecificationModel(String specModelName)
                       throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### add

    public void add(String featureSpec)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### add

    public void add(String subModelName,
                    String featureSpec)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### getSpecModelName

    public String getSpecModelName()

### setSpecModelName

    public void setSpecModelName(String specModelName)

### iterator

    public Iterator<SpecificationSubModel> iterator()

  Specified by:
    `iterator` in interface `Iterable<SpecificationSubModel>`

### size

    public int size()

### getSpecSubModel

    public SpecificationSubModel getSpecSubModel(String subModelName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.